I=(S=PostProcRenderer.SubDrawExposePoint = function(){
}).prototype;

S.$0 = function(parent, $this) {
    if (!$this) $this = new PostProcRenderer.SubDrawExposePoint;
    {
        $this.parent = parent;
    }

    {
        $this.SubDraw_quad_ibo = Uno.Graphics.IndexBuffer.$0($this.parent.indices.length * 2, false);
        $this.SubDraw_quad_ibo.SetData(new Uint16Array($this.parent.indices));
        $this.SubDraw_quad_VertexPosition_fuLLNACNin_vbo = Uno.Graphics.VertexBuffer.$0($this.parent.vertices.length * 8, false);
        $this.SubDraw_quad_VertexPosition_fuLLNACNin_vbo.SetData(uglFloat2Array($this.parent.vertices, ($this.parent.vertices.length * 8)/8));
        $this.SubDraw_quad_Length_dyJFUaSKIF = $this.parent.indices.length;
    }

    $this.SubDraw_quad_vs = uglCompileShader(35633, "PostProcRenderer_SubDrawExposePoint_SubDraw_quad_vs", "varying vec2 TexCoord_2_23_0_JsgtxzEDAZ;\n\nattribute vec2 VertexPosition_fuLLNACNin;\n\nvoid main(void)\n{\n\tvec4 VertexPosition_2_21_0 = vec4(VertexPosition_fuLLNACNin, 0.0, 1.0);\n\tvec4 ClipPosition_2_22_0 = VertexPosition_2_21_0;\n\tgl_Position = VertexPosition_2_21_0;\n\tvec2 TexCoord_2_23_0 = (VertexPosition_2_21_0.xy * 0.5) + 0.5;\n\tTexCoord_2_23_0_JsgtxzEDAZ = (VertexPosition_2_21_0.xy * 0.5) + 0.5;\n}\n");
    $this.SubDraw_quad_ps = uglCompileShader(35632, "PostProcRenderer_SubDrawExposePoint_SubDraw_quad_ps", "uniform sampler2D tex_5_0_0_xbbxGoBnAW;\n\nvarying vec2 TexCoord_2_23_0_JsgtxzEDAZ;\n\nvoid main(void)\n{\n\tvec4 PixelColor_6_4_0 = texture2D(tex_5_0_0_xbbxGoBnAW, TexCoord_2_23_0_JsgtxzEDAZ);\n\tgl_FragColor = texture2D(tex_5_0_0_xbbxGoBnAW, TexCoord_2_23_0_JsgtxzEDAZ);\n}\n");
    $this.SubDraw_quad_prog = uglLinkProgram($this.SubDraw_quad_vs, $this.SubDraw_quad_ps);
    $this.SubDraw_quad_VertexPosition_fuLLNACNin = gl.getAttribLocation($this.SubDraw_quad_prog, "VertexPosition_fuLLNACNin");
    $this.SubDraw_quad_tex_5_0_0_xbbxGoBnAW = gl.getUniformLocation($this.SubDraw_quad_prog, "tex_5_0_0_xbbxGoBnAW");
    return $this;
};
